// Программа определения частоты кадров

#include  <time.h>
#include  <stdio.h>
#include  <bios.h>

#define   NUM  200

// Описания функций. Смотри файл DISPLAY.ASM
void		__pascal __far WaitVert(void);
unsigned	__pascal __far HorByVer(void);

//====================================================================
// Главная функция
//====================================================================
void main() {

	time_t    t_start, t_end;
	int       i;
	float     fr;
	unsigned	vert_fr;

	// Определяем начальное время
	t_start = clock();

	// Ожидаем исполнения NUM вертикальных разверток
	for(i = 0; i < NUM; i++) WaitVert();

	// Определяем конечное время
	t_end = clock();

	// Вычисляем частоту кадров
	fr = NUM/(((float)t_end - t_start) / CLK_TCK);

	printf( "\nЧастота кадров = %4.1f \n", (float)fr );

//	vert_fr = HorByVer();

//	printf("\n Между двумя вертикальными прерываниями"
//		"\n произошло %d горизонтальных прерываний.\n",
//		vert_fr);
}


